Package org.h2.command.dml

# Class ExecuteImmediate

java.lang.Object
org.h2.command.Prepared
org.h2.command.dml.ExecuteImmediate

public class ExecuteImmediate extends Prepared
This class represents the statement EXECUTE IMMEDIATE.

## Field Summary

### Fields inherited from class org.h2.command.Prepared

`create, parameters, prepareAlways, session, sqlStatement, sqlTokens`

## Constructor Summary

Constructors
Constructor
Description
`ExecuteImmediate(SessionLocal session, Expression statement)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getType()`
Get the command type as defined in CommandInterface
`boolean`
`isTransactional()`
Check if this command is transactional.
`ResultInterface`
`queryMeta()`
Get an empty result set containing the metadata.
`long`
`update()`
Execute the statement.

### Methods inherited from class org.h2.command.Prepared

`checkCanceled, checkParameters, collectDependencies, getCurrentRowNumber, getDatabase, getObjectId, getParameters, getPersistedObjectId, getPlanSQL, getPlanSQL, getSession, getSimpleSQL, getSQL, getSQLTokens, invalidateCachedResult, isCacheable, isQuery, isReadOnly, isRetryable, isWithParamValues, needRecompile, prepare, query, setCommand, setCurrentRowNumber, setParameterList, setPersistedObjectId, setPrepareAlways, setRow, setSession, setSQL, setWithParamValues, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ExecuteImmediate

public ExecuteImmediate(SessionLocal session, Expression statement)

## Method Details

### update

public long update()
Description copied from class: `Prepared`
Execute the statement.

Overrides:
  `update` in class `Prepared`
Returns:
  the update count

### isTransactional

public boolean isTransactional()
Description copied from class: `Prepared`
Check if this command is transactional. If it is not, then it forces the current transaction to commit.

Specified by:
  `isTransactional` in class `Prepared`
Returns:
  true if it is

### getType

public int getType()
Description copied from class: `Prepared`
Get the command type as defined in CommandInterface

Specified by:
  `getType` in class `Prepared`
Returns:
  the statement type

### queryMeta

public ResultInterface queryMeta()
Description copied from class: `Prepared`
Get an empty result set containing the metadata.

Specified by:
  `queryMeta` in class `Prepared`
Returns:
  the result set